Subject: bug#53377: 28.0.91: Build fails on MSYS2/MinGW-w64 with Clang

From: Eli Zaretskii <[email-masked]>
Date: Thu, 20 Jan 2022 09:54:35 +0200

> From: Óscar Fuentes <[email-masked]>
> Date: Thu, 20 Jan 2022 04:59:55 +0100
> Cc: [email-masked]
> 
> Besides, Clang has its own debugger.

Last time I looked, the LLVM debugger didn't work well on Windows, and
was definitely not a good idea as a tool to debug Emacs, because it
didn't support the .gdbinit commands (which are essential for any
reasonable debugging of the Emacs C code), and didn't support GDB/MI
(which means you cannot use it with "M-x gdb" from Emacs).

Unless this has changed drastically since I looked, my advice to you
is to use GDB for debugging the Emacs C code, otherwise you will have
a whole additional level of difficulties in making this port happen.